<?php
/*------------------------------------------------------------------------------
 *    web control interface for cod_control  
 *    by Gunnar Luehr 2008 under the
 *    GNU General Public License
 *    V 0.0.2 (17.02.2008) 
 *    admin@masterzock.de
 *    http://www.masterzock.de
 *------------------------------------------------------------------------------
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 * -----------------------------------------------------------------------------
 *  
 *  include.php
 *
 *  includes for password an the servers to manage
 * 
 */     

//
// username and password to login into the webinterface 
//
$usern = "";
$pass  = "";

//
// encryption method - depends on your php version installed on the web-server
// and the setting of the cod_controld - daemon
// BOTH MUST BE SET TO THE SAME METHOD!!
// 
// possible values:  tls / ssl / sslv2 / sslv3
//
$encrypt = "tls";

//
// language to use
//
$sel_lng = "german";

//
//  header and footer entries
//
$header_01  = "Gameserver Control Manager Version 0.0.2";
$header_02  = "by Fraiser for the .:FF:._Freedom Fighterz";
$footer_01  = "http://www.freedomfighterz.de";
$footer_02  = ".:FF:._Freedom Fighterz";


//
//  define the values for each game server
//  you cann define as much as you like
//

/*    ----- EXAMPLE CONFIGURATION --------------


          .-------- DON'T FORGET TO GIVE EACH SERVER HIS OWN NUMBER!
          |         THE SERVERS WILL BE SORTED BY THE ORDER YOU WRITE IT DOWN HERE!
          |
          V
$game_svr[0][name]             =   "Call of Duty 2";          // name shown in the interface
$game_svr[0][ip]               =   "localhost";               // the ip of the server where the cod_controld daemon runs
$game_svr[0][port]             =   "4100";                    // the port which the daemon use
$game_svr[0][pass]             =   "pw01";                    // your password here
$game_svr[0][screen_name]      =   "cod201";                  // the name which the screen process starts. EACH NAME MUST BE UNIQUE!!
$game_svr[0][path]             =   "/home/gamesvr/cod2-01";   // the home path of the gameserver
$game_svr[0][executable]       =   "cod2_lnxded";             // the executable or startscript to run by the daemon
$game_svr[0][options]          =   "+set dedicated 2 +set sv_punkbuster 1 +exec sd.cfg +set net_port 28960 +map_rotate";  // the start optioos for the server 

$game_svr[1][name]             =   "Call of Duty 4";
$game_svr[1][ip]               =   "localhost";
$game_svr[1][port]             =   "4100";
$game_svr[1][pass]             =   "pw02";
$game_svr[1][screen_name]      =   "cod401";
$game_svr[1][path]             =   "/home/gamesvr/cod402";
$game_svr[1][executable]       =   "cod4_lnxded";
$game_svr[1][options]          =   "+set dedicated 2 +set sv_punkbuster 1 +exec sd.cfg +set net_port 28995 +map_rotate";

    ----- EXAMPLE CONFIGURATION -------------- */

?>
